#! /bin/bash

set -e

VERSION="3.16.2git1"

source ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

# Clone Upstream
#git clone --recurse-submodules https://github.com/ValveSoftware/gamescope -b 3.16.1
git clone --recurse-submodules https://github.com/ValveSoftware/gamescope
cp -rvf ./debian ./gamescope/
cd ./gamescope
for i in $(cat ../patches/series) ; do echo "Applying Patch: $i" && patch -Np1 -i ../patches/$i || echo "Applying Patch $i Failed!"; done

# Get build deps
apt-get build-dep ./ -y

# Build package
LOGNAME=root dh_make --createorig -y -l -p gamescope_"$VERSION" || echo "dh-make: Ignoring Last Error"
dpkg-buildpackage --no-sign -j32

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
